OSDN Git Service

* tls.m4 (GCC_CHECK_TLS): Fall back to a link test.
authordrow <drow@138bc75d-0d04-0410-961f-82ee72b054a4>
Mon, 13 Nov 2006 20:35:20 +0000 (20:35 +0000)
committerdrow <drow@138bc75d-0d04-0410-961f-82ee72b054a4>
Mon, 13 Nov 2006 20:35:20 +0000 (20:35 +0000)
git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@118777 138bc75d-0d04-0410-961f-82ee72b054a4

config/ChangeLog
config/tls.m4
libgomp/ChangeLog
libgomp/configure
libjava/ChangeLog
libjava/configure
libmudflap/ChangeLog
libmudflap/configure
libstdc++-v3/ChangeLog
libstdc++-v3/configure

index 57c31f4..fda6f95 100644 (file)
@@ -1,3 +1,7 @@
+2006-11-13  Daniel Jacobowitz  <dan@codesourcery.com>
+
+       * tls.m4 (GCC_CHECK_TLS): Fall back to a link test.
+
 2006-10-14  Geoffrey Keating  <geoffk@apple.com>
 
        * multi.m4: New file, from automake version 2 branch.
 2006-10-14  Geoffrey Keating  <geoffk@apple.com>
 
        * multi.m4: New file, from automake version 2 branch.
index b7a0730..b66b6d7 100644 (file)
@@ -13,7 +13,8 @@ AC_DEFUN([GCC_CHECK_TLS], [
                    [have_tls=yes], [have_tls=no], [])
       LDFLAGS="$save_LDFLAGS"],
       [have_tls=no],
                    [have_tls=yes], [have_tls=no], [])
       LDFLAGS="$save_LDFLAGS"],
       [have_tls=no],
-      [AC_COMPILE_IFELSE([__thread int foo;], [have_tls=yes], [have_tls=no])]
+      [AC_LINK_IFELSE([__thread int a; int b; int main() { return a = b; }],
+       [have_tls=yes], [have_tls=no])]
     )])
   if test "$enable_tls $have_tls" = "yes yes"; then
     AC_DEFINE(HAVE_TLS, 1,
     )])
   if test "$enable_tls $have_tls" = "yes yes"; then
     AC_DEFINE(HAVE_TLS, 1,
index d0e94d2..56d4368 100644 (file)
@@ -1,9 +1,12 @@
+2006-11-13  Daniel Jacobowitz  <dan@codesourcery.com>
+
+       * configure: Regenerated.
+
 2006-11-09  Uros Bizjak  <ubizjak@gmail.com>
 
        * env.c (parse_schedule): Reject out of range values.
        (parse_unsigned_long): Reject out of range, negative or zero values.
 
 2006-11-09  Uros Bizjak  <ubizjak@gmail.com>
 
        * env.c (parse_schedule): Reject out of range values.
        (parse_unsigned_long): Reject out of range, negative or zero values.
 
-
 2006-10-29  Jakub Jelinek  <jakub@redhat.com>
 
        PR fortran/29629
 2006-10-29  Jakub Jelinek  <jakub@redhat.com>
 
        PR fortran/29629
index a0e9417..c35e84d 100755 (executable)
@@ -8845,11 +8845,11 @@ else
 
     if test "$cross_compiling" = yes; then
   cat >conftest.$ac_ext <<_ACEOF
 
     if test "$cross_compiling" = yes; then
   cat >conftest.$ac_ext <<_ACEOF
-__thread int foo;
+__thread int a; int b; int main() { return a = b; }
 _ACEOF
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -8863,7 +8863,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
+        { ac_try='test -s conftest$ac_exeext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8876,7 +8876,8 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 have_tls=no
 fi
 
 have_tls=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
 
 else
   cat >conftest.$ac_ext <<_ACEOF
 
 else
   cat >conftest.$ac_ext <<_ACEOF
index b02e649..7ba71ca 100644 (file)
@@ -1,3 +1,7 @@
+2006-11-13  Daniel Jacobowitz  <dan@codesourcery.com>
+
+       * configure: Regenerated.
+
 2006-11-03  Gary Benson  <gbenson@redhat.com>
 
        * java/net/InetAddress.java: Removed.
 2006-11-03  Gary Benson  <gbenson@redhat.com>
 
        * java/net/InetAddress.java: Removed.
index cab2891..15f4991 100755 (executable)
@@ -7633,7 +7633,7 @@ ac_x_header_dirs='
 /usr/openwin/share/include'
 
 if test "$ac_x_includes" = no; then
 /usr/openwin/share/include'
 
 if test "$ac_x_includes" = no; then
-  # Guess where to find include files, by looking for Xlib.h.
+  # Guess where to find include files, by looking for Intrinsic.h.
   # First, try using that file with no special directory specified.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
   # First, try using that file with no special directory specified.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7641,7 +7641,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -7668,7 +7668,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
   for ac_dir in $ac_x_header_dirs; do
 sed 's/^/| /' conftest.$ac_ext >&5
 
   for ac_dir in $ac_x_header_dirs; do
-  if test -r "$ac_dir/X11/Xlib.h"; then
+  if test -r "$ac_dir/X11/Intrinsic.h"; then
     ac_x_includes=$ac_dir
     break
   fi
     ac_x_includes=$ac_dir
     break
   fi
@@ -7694,11 +7694,11 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
 int
 main ()
 {
 int
 main ()
 {
-XrmInitialize ()
+XtMalloc (0)
   ;
   return 0;
 }
   ;
   return 0;
 }
@@ -16549,12 +16549,17 @@ if test "${have_tls+set}" = set; then
 else
 
     if test "$cross_compiling" = yes; then
 else
 
     if test "$cross_compiling" = yes; then
-  cat >conftest.$ac_ext <<_ACEOF
-__thread int foo;
+  if test x$gcc_no_link = xyes; then
+  { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
+echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+cat >conftest.$ac_ext <<_ACEOF
+__thread int a; int b; int main() { return a = b; }
 _ACEOF
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -16568,7 +16573,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
+        { ac_try='test -s conftest$ac_exeext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16581,7 +16586,8 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 have_tls=no
 fi
 
 have_tls=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
 
 else
   cat >conftest.$ac_ext <<_ACEOF
 
 else
   cat >conftest.$ac_ext <<_ACEOF
index 5b9da8b..131979d 100644 (file)
@@ -1,3 +1,7 @@
+2006-11-13  Daniel Jacobowitz  <dan@codesourcery.com>
+
+       * configure: Regenerated.
+
 2006-11-10  Frank Ch. Eigler  <fche@redhat.com>
 
        PR libmudflap/28578
 2006-11-10  Frank Ch. Eigler  <fche@redhat.com>
 
        PR libmudflap/28578
index 7f7dd06..2e7f260 100755 (executable)
@@ -7134,11 +7134,11 @@ else
 
     if test "$cross_compiling" = yes; then
   cat >conftest.$ac_ext <<_ACEOF
 
     if test "$cross_compiling" = yes; then
   cat >conftest.$ac_ext <<_ACEOF
-__thread int foo;
+__thread int a; int b; int main() { return a = b; }
 _ACEOF
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -7152,7 +7152,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
+        { ac_try='test -s conftest$ac_exeext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7165,7 +7165,8 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 have_tls=no
 fi
 
 have_tls=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
 
 else
   cat >conftest.$ac_ext <<_ACEOF
 
 else
   cat >conftest.$ac_ext <<_ACEOF
index bb7ec9c..12c49bb 100644 (file)
@@ -1,3 +1,7 @@
+2006-11-13  Daniel Jacobowitz  <dan@codesourcery.com>
+
+       * configure: Regenerated.
+
 2006-11-13  Joseph Myers  <joseph@codesourcery.com>
 
        * libsupc++/eh_globals.cc (__cxxabiv1::__cxa_get_globals):
 2006-11-13  Joseph Myers  <joseph@codesourcery.com>
 
        * libsupc++/eh_globals.cc (__cxxabiv1::__cxa_get_globals):
index ae9283d..8454849 100755 (executable)
@@ -31271,12 +31271,17 @@ if test "${have_tls+set}" = set; then
 else
 
     if test "$cross_compiling" = yes; then
 else
 
     if test "$cross_compiling" = yes; then
-  cat >conftest.$ac_ext <<_ACEOF
-__thread int foo;
+  if test x$gcc_no_link = xyes; then
+  { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
+echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+cat >conftest.$ac_ext <<_ACEOF
+__thread int a; int b; int main() { return a = b; }
 _ACEOF
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -31290,7 +31295,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
+        { ac_try='test -s conftest$ac_exeext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -31303,7 +31308,8 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 have_tls=no
 fi
 
 have_tls=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
 
 else
   cat >conftest.$ac_ext <<_ACEOF
 
 else
   cat >conftest.$ac_ext <<_ACEOF